# vim: set sw=4 ts=4 et:

Name:           gnome-mplayer
Version:        1.0.2
Release:		1.pm.1.9
Summary:        Simple GNOME GUI for MPlayer
# http://gnome-mplayer.googlecode.com/files/gnome-mplayer-%{version}.tar.gz
Source:         gnome-mplayer-%{version}.tar.bz2
Patch1:         gnome-mplayer-fix_missing_return_in_non_void_function.patch
URL:            http://code.google.com/p/gnome-mplayer/
Group:          Productivity/Multimedia/Video/Players
License:        GNU General Public License (GPL)
BuildRoot:      %{_tmppath}/build-%{name}-%{version}
Requires:       MPlayer
BuildRequires:  MPlayer
BuildRequires:  libgnome-devel libgnomeui-devel
BuildRequires:  libgpod-devel
BuildRequires:  libnotify-devel
BuildRequires:  libpulse-devel
BuildRequires:  libmusicbrainz-devel
BuildRequires:  dbus-1-devel
BuildRequires:  dbus-1-glib-devel
BuildRequires:  pkgconfig gcc make glibc-devel pkgconfig
BuildRequires:  autoconf automake libtool update-desktop-files
Recommends:     %{name}-lang
%gconf_schemas_prereq

%description
GNOME MPlayer is a simple GUI for Mplayer that tries to follow the GNOME
HIG. It is tightly integrated with gecko-mediaplayer.

%package doc
Summary:        Simple GNOME GUI for MPlayer (Technical Documentation)
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}

%description doc
GNOME MPlayer is a simple GUI for Mplayer that tries to follow the GNOME
HIG. It is tightly integrated with gecko-mediaplayer.

This package contains technical documentation.


%lang_package
%prep
%setup -q
%patch1

%build
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%configure \
    --disable-schemas-install

%__make %{?jobs:-j%{jobs}}

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
%makeinstall
%__rm -rf "%{buildroot}%{_datadir}/doc"

test -e "%{buildroot}%{_sysconfdir}/gconf/schemas/gnome-mplayer.schemas" \
|| %__install -m0644 -D gnome-mplayer.schemas \
    "%{buildroot}%{_sysconfdir}/gconf/schemas/gnome-mplayer.schemas"

%suse_update_desktop_file -r gnome-mplayer AudioVideo Player

%find_lang "%{name}"

%find_gconf_schemas

%__install -d "%{buildroot}%{_docdir}/%{name}"
echo -n > docfiles.lst
for f in ChangeLog COPYING README; do
    ff="$(basename $f)"
    %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$ff"
    echo "%doc %{_docdir}/%{name}/$ff" >>docfiles.lst
done
echo -n > docdocfiles.lst
for f in DOCS/tech/*.txt; do
    ff="$(basename $f)"
    %__install -m0644 "$f" "%{buildroot}%{_docdir}/%{name}/$ff"
    echo "%doc %{_docdir}/%{name}/$ff" >>docdocfiles.lst
done

cat docfiles.lst "%{name}.schemas_list" >"%{name}.lst"

%pre -f %{name}.schemas_pre

%preun -f %{name}.schemas_preun

%posttrans -f %{name}.schemas_posttrans

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f "%{name}.lst"
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}
%{_bindir}/gnome-mplayer
%{_datadir}/applications/gnome-mplayer.desktop
%{_datadir}/icons/*/*/apps/gnome-mplayer.*
%dir %{_datadir}/gnome-control-center
%dir %{_datadir}/gnome-control-center/default-apps
%{_datadir}/gnome-control-center/default-apps/gnome-mplayer.xml
%{_mandir}/man1/gnome-mplayer.1%{ext_man}

%files doc -f docdocfiles.lst
%defattr(-,root,root)
%doc %dir %{_docdir}/%{name}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- update to 1.0.2:
  * new audio device handling compatible with ALSA and Pulse devices if support
    is compiled in
  * Audio Meter enhanced to use cairo drawing
  * DBUS is now optional (disables gecko-mediaplayer integration)
  * get rid of VDPAU error message
  * seeking on streaming media if supported by mplayer
  * updated translations
- add libgpod support
- add libnotify support
- add PulseAudio support
- MusicBrainz support still lacking, on TODO list
* Sat Nov 13 2010 pascal.bleser@opensuse.org
- update to 1.0.0:
  * updated translations: es, pt_BR, fi, pl, fr, sb, de, ...
  * fix bug #444 - embedded fonts not being used in mkv files
  * fix case of cache fill display not being reset with remote files
  * set cache fill graphical display to 0 once streaming media is started
  * eable screensaver at quit
  * add cache percentage graphical display to the tracker
  * fixed problem with --fullscreen flag not working
  * fixed problem with S taking infinite screenshots
  * make middle button toggle mute
  * add buttons to toggle loop and shuffle to the playlist window
  * correct problem with tracks loaded from an iPod as not being marked playable
  * fix control panel when working in embedded mode
  * added UTF-8 to subtitle and metadata possible encodings
  * fix problem with proper audio track being selected, mplayer selects them 0
    based but reports them one based, so have to make adjustments to the value
    returned
  * workaround for media files with non-zero start time, requires mplayer SVN
    r31346 or greater
  * fix menu item position change on popup menu due to previous change
  * move Open on popup menu, below the Play/Pause, Stop, Prev and Next block
  * fix minor memory leak in drag and drop for subtitles
  * added .ssa as a subtitle extension to drag and drop
  * support drag and drop of subtitle files with .srt or .ass extension.
  * make V (show/hide subtitles) work in fullscreen mode
  * fullscreen controls in a floating widget
  * fix bug #376 - Rework vdpau codec selection and deinterlace
* Sat Jul 24 2010 pascal.bleser@opensuse.org
- update to 0.9.9.2
- split out technical docs into -doc subpackage
- split out -lang subpackage
* Sun Feb  7 2010 detlef@links2linux.de
- update to 0.9.9
* Fri Sep 25 2009 pascal.bleser@opensuse.org
- update to 0.9.8
* Tue Mar 31 2009 pascal.bleser@opensuse.org
- update to 0.9.5
* Fri Oct 31 2008 guru@unixtech.be
- update to 0.9.0
* Mon Sep 29 2008 guru@unixtech.be
- update to 0.8.0:
  * adds a "recently used file" menu
  * updated translations
  * GUI enhancements
* Fri Aug 15 2008 guru@unixtech.be
- added Authors: in description
- new upstream version:
  * several bug fixes and enhancements
  * additional UI options and help text
  * additional dbus methods
* Wed Jul  2 2008 guru@unixtech.be
- new upstream version:
  * new icon for the application
  * updated and additional translations
  * minor bugfixes that make things work a little better
  * option to enable deinterlacing
  * option to enable the 'pause on mouse click' action
  * option to disable the embedding of gnome-mplayer when used by
    gecko-mediaplayer
* Wed May 28 2008 guru@unixtech.be
- changed URL and Source tags to new project home
- new upstream version
* Thu Apr 17 2008 guru@unixtech.be
- new upstream version
* Thu Feb 14 2008 guru@unixtech.be
- new upstream version
* Thu Jan 17 2008 guru@unixtech.be
- new upstream version
* Thu Dec 13 2007 guru@unixtech.be
- new upstream version
* Fri Nov  2 2007 guru@unixtech.be
- new package
